OpenMesh: OpenMesh::IO::ImporterT< Mesh > Class Template Reference

| OpenMesh

Public Types | Public Member Functions | List of all members
OpenMesh::IO::ImporterT< Mesh > Class Template Reference

This class template provides an importer module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/importer/ImporterT.hh>`

Inheritance diagram for OpenMesh::IO::ImporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ImporterT< Mesh >:
[legend]

## Public Types
typedef Mesh::Point | Point
typedef Mesh::Normal | Normal
typedef Mesh::Color | Color
typedef Mesh::TexCoord2D | TexCoord2D
typedef Mesh::TexCoord3D | TexCoord3D
typedef std::vector< VertexHandle > | VHandles
Public Types inherited from OpenMesh::IO::BaseImporter
typedef std::vector< VertexHandle > | VHandles

## Public Member Functions
| ImporterT (Mesh &_mesh)
virtual VertexHandle | add_vertex (const Vec3f &_point) override
virtual VertexHandle | add_vertex (const Vec3d &_point) override
virtual VertexHandle | add_vertex () override
virtual HalfedgeHandle | add_edge (VertexHandle _vh0, VertexHandle _vh1) override
virtual FaceHandle | add_face (const VHandles &_indices) override
virtual FaceHandle | add_face (HalfedgeHandle _heh) override
virtual void | set_point (VertexHandle _vh, const Vec3f &_point) override
virtual void | set_halfedge (VertexHandle _vh, HalfedgeHandle _heh) override
virtual void | set_normal (VertexHandle _vh, const Vec3f &_normal) override
virtual void | set_normal (VertexHandle _vh, const Vec3d &_normal) override
virtual void | set_color (VertexHandle _vh, const Vec4uc &_color) override
virtual void | set_color (VertexHandle _vh, const Vec3uc &_color) override
virtual void | set_color (VertexHandle _vh, const Vec4f &_color) override
virtual void | set_color (VertexHandle _vh, const Vec3f &_color) override
virtual void | set_texcoord (VertexHandle _vh, const Vec2f &_texcoord) override
virtual void | set_status (VertexHandle _vh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_next (HalfedgeHandle _heh, HalfedgeHandle _next) override
virtual void | set_face (HalfedgeHandle _heh, FaceHandle _fh) override
virtual void | request_face_texcoords2D () override
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec2f &_texcoord) override
virtual void | set_texcoord (VertexHandle _vh, const Vec3f &_texcoord) override
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec3f &_texcoord) override
virtual void | set_status (HalfedgeHandle _heh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_color (EdgeHandle _eh, const Vec4uc &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec3uc &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec4f &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec3f &_color) override
virtual void | set_status (EdgeHandle _eh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_normal (FaceHandle _fh, const Vec3f &_normal) override
virtual void | set_normal (FaceHandle _fh, const Vec3d &_normal) override
virtual void | set_color (FaceHandle _fh, const Vec3uc &_color) override
virtual void | set_color (FaceHandle _fh, const Vec4uc &_color) override
virtual void | set_color (FaceHandle _fh, const Vec3f &_color) override
virtual void | set_color (FaceHandle _fh, const Vec4f &_color) override
virtual void | set_status (FaceHandle _fh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec2f > &_face_texcoords) override
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec3f > &_face_texcoords) override
virtual void | set_face_texindex (FaceHandle _fh, int _texId) override
virtual void | add_texture_information (int _id, std::string _name) override
virtual BaseKernel * | kernel () override
bool | is_triangle_mesh () const override
void | reserve (unsigned int nV, unsigned int nE, unsigned int nF) override
size_t | n_vertices () const override
size_t | n_faces () const override
size_t | n_edges () const override
void | prepare () override
void | finish () override

## Detailed Description

### template<class Mesh>
class OpenMesh::IO::ImporterT< Mesh >

This class template provides an importer module for OpenMesh meshes.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/importer/ImporterT.hh